%define bname	Dogecoin

Summary:	%{bname} payment network
Name:		dogecoin
Version:	1.8.3
Release:	%mkrel 7
Source0:	https://github.com/%{name}/%{name}/archive/v%{version}.tar.gz
Patch0:		dogecoin-1.8.3-fix-boost-get-usage.patch
Patch1:		dogecoin-1.8.3-miniupnpc14.patch
License:	MIT
Group:		Office/Finance
Url:		http://%{name}.com/
#Qt5 build doesn't work by default, Qt4 does:
BuildRequires:	qt4-devel
BuildRequires:	boost-devel
# db5.1 recommended for wallet portability, but 5.3 works:
BuildRequires:	db-devel >= 5.3.0
BuildRequires:	miniupnpc-devel
BuildRequires:	qrencode-devel
BuildRequires:	dbus-devel
BuildRequires:	protobuf-devel
BuildRequires:	protobuf-compiler
BuildRequires:	pkgconfig(openssl)

%description
%{bname} is an innovative payment network and a new kind of money.

%package -n %{name}d
Summary:	%{bname} command line client
Group:		Office/Finance

%description -n %{name}d
%{name}d is the original %{bname} command line client.

%package qt
Summary:	%{bname} graphical Qt client
Group:		Office/Finance

%description qt
%{bname}-Qt is the original %{bname} graphical client.

%prep
%setup -q
%autopatch -p1
if [ ! -e Makefile.in ]
then ./autogen.sh
fi

%build
export CPPFLAGS="%optflags -I%{_includedir}/db53"
%configure2_5x \
    --with-incompatible-bdb
#    --with-gui=qt5
#parallel build seems to fail in Qt:
#%%make
make

%install
%make_install
install -d %{buildroot}%{_datadir}/pixmaps
for size in 16 32 128
do install -m644 share/pixmaps/bitcoin${size}.png %{buildroot}/%{_datadir}/pixmaps/%{name}${size}.png
done

install -d %{buildroot}%{_datadir}/applications
install -m644 contrib/debian/%{name}-qt.desktop %{buildroot}%{_datadir}/applications

install -d %{buildroot}%{_datadir}/kde4/services
install -m644 contrib/debian/%{name}-qt.protocol %{buildroot}%{_datadir}/kde4/services

install -d %{buildroot}/%{_mandir}/{man1,man5}
install -m644 contrib/debian/manpages/*.1 %{buildroot}/%{_mandir}/man1
install -m644 contrib/debian/manpages/*.5 %{buildroot}/%{_mandir}/man5
for i in %{buildroot}/%{_mandir}/man*/*
do mv $i ${i/bitcoin/%{name}}
done
install -d %{buildroot}/%{_datadir}/bash-completion/completions
install -m644 contrib/bitcoind.bash-completion %{buildroot}/%{_datadir}/bash-completion/completions/%{name}d
perl -pi -e 's/have/_have/g' %{buildroot}/%{_datadir}/bash-completion/completions/%{name}d

rm -f %{buildroot}/%{_bindir}/test_*

%files -n %{name}d
%{_bindir}/%{name}d
%{_bindir}/%{name}-cli
%{_mandir}/man1/%{name}d.1%{_extension}
%{_mandir}/man5/%{name}.conf.5%{_extension}
/usr/share/bash-completion/completions/%{name}d
%doc contrib/qos
%doc contrib/linearize


%files qt
%{_bindir}/%{name}-qt
%{_mandir}/man1/%{name}-qt.1%{_extension}
%{_datadir}/pixmaps/%{name}*.*
%{_datadir}/applications/%{name}-qt.desktop
%{_datadir}/kde4/services/%{name}-qt.protocol


%changelog
* Tue Mar 15 2016 daviddavid <daviddavid> 1.8.3-7.mga6
+ Revision: 991022
- rediff fix-boost-get-usage patch (since fixed autopatch)

* Mon Mar 07 2016 daviddavid <daviddavid> 1.8.3-6.mga6
+ Revision: 986938
- rebuild against new openssl
- add missing BR on pkgconfig(openssl)

* Sat Dec 26 2015 daviddavid <daviddavid> 1.8.3-5.mga6
+ Revision: 915160
- rebuild for new boost 1.60.0

* Tue Oct 13 2015 fwang <fwang> 1.8.3-4.mga6
+ Revision: 890232
- deal with new api of miniupnpc4
- use configure2_5x
- rebuild for new miniupnpc

* Fri Sep 25 2015 daviddavid <daviddavid> 1.8.3-3.mga6
+ Revision: 883669
- rebuild for new boost 1.59.0

* Mon Aug 31 2015 cjw <cjw> 1.8.3-2.mga6
+ Revision: 871563
- rebuild with gcc 5

* Wed Aug 12 2015 blino <blino> 1.8.3-1.mga6
+ Revision: 864133
- use patch from bitcoin to fix boost::get usage (build broken with boost 1.58, dogecoin#1128)
- 1.8.3

  + daviddavid <daviddavid>
    - rebuild for new boost-1.58.0

* Mon Jan 12 2015 buchan <buchan> 1.8.1-1.mga5
+ Revision: 810020
- Ship menus, man pages, bash completion etc.
- Fix BDB detection on cauldron
- Upgrade to 1.8.1, 1.4 no longer works

* Wed Dec 17 2014 sander85 <sander85> 1.4-5.mga5
+ Revision: 803792
- Rebuild for miniupnpc

* Wed Oct 15 2014 umeabot <umeabot> 1.4-4.mga5
+ Revision: 749451
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4-3.mga5
+ Revision: 678801
- Mageia 5 Mass Rebuild

* Wed May 14 2014 luigiwalser <luigiwalser> 1.4-2.mga5
+ Revision: 622817
- rebuild for miniupnpc

* Sun Jan 05 2014 blino <blino> 1.4-1.mga5
+ Revision: 564722
- 1.4
- initial Mageia package (1.3)
- Created package structure for dogecoin.

